Package org.apache.synapse.mediators.xquery

## Class XQueryMediatorFactory

- java.lang.Object
- - org.apache.synapse.config.xml.AbstractMediatorFactory
  - - org.apache.synapse.mediators.xquery.XQueryMediatorFactory

- All Implemented Interfaces:
    `org.apache.synapse.config.xml.MediatorFactory`

      public class XQueryMediatorFactory
      extends org.apache.synapse.config.xml.AbstractMediatorFactory

  Creates a XQuery mediator from the given XML

       <xquery key="string" [target="xpath"]>
         <variable name="string" type="string" [key="string"] [expression="xpath"]
            [value="string"]/>?
       </xquery>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static QName` | `ATT_EXPR_Q` |
    `static QName` | `ATT_KEY_Q` |
    `static QName` | `ATT_NAME_Q` |
    `static QName` | `ATT_TYPE_Q` |
    `static QName` | `ATT_VALUE_Q` |

    - ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

      `ATT_ARGUMENT, ATT_DEFAULT_VALUE, ATT_DESCRIPTION, ATT_EVAL, ATT_EXPRN, ATT_IS_MANDATORY, ATT_KEY, ATT_NAME, ATT_ONERROR, ATT_REGEX, ATT_ROOT_ELEMENT, ATT_SEQUENCE, ATT_SOURCE, ATT_STATS, ATT_TARGET, ATT_TARGET_VARIABLE, ATT_TYPE, ATT_VALUE, ATT_XPATH, DESCRIPTION_Q, FEATURE_Q, INPUTS, PROP_Q, PROPERTY_GROUP_Q, RESULT_TYPE_Q, TARGET_Q, VARIABLE_Q`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XQueryMediatorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.synapse.Mediator` | `createSpecificMediator​(org.apache.axiom.om.OMElement elem, Properties properties)` |
    `QName` | `getTagQName()` |

    - ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

      `addAllCommentChildrenToList, collectNameValuePairs, createMediator, handleException, handleException, processAuditStatus, processTraceState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATT_NAME_Q

          public static final QName ATT_NAME_Q

    - #### ATT_VALUE_Q

          public static final QName ATT_VALUE_Q

    - #### ATT_EXPR_Q

          public static final QName ATT_EXPR_Q

    - #### ATT_KEY_Q

          public static final QName ATT_KEY_Q

    - #### ATT_TYPE_Q

          public static final QName ATT_TYPE_Q

  - ### Constructor Detail

    - #### XQueryMediatorFactory

          public XQueryMediatorFactory()

  - ### Method Detail

    - #### createSpecificMediator

          public org.apache.synapse.Mediator createSpecificMediator​(org.apache.axiom.om.OMElement elem,
                                                                    Properties properties)

      Specified by:
        `createSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorFactory`

    - #### getTagQName

          public QName getTagQName()